summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-10-14 13:32:33 +0000
committerMichał Górny <mgorny@gentoo.org>2013-10-14 13:32:33 +0000
commit3a42970c652fc33ead5ada6ba24acc66bb9d2116 (patch)
treef5def4a7e167e0fd4ac99fe4306d8492f5a09c2c
parentVersion bump, wrt bug #487866. Add parallel make fixes, wrt bug #486434, than... (diff)
downloadgentoo-2-3a42970c652fc33ead5ada6ba24acc66bb9d2116.tar.gz
gentoo-2-3a42970c652fc33ead5ada6ba24acc66bb9d2116.tar.bz2
gentoo-2-3a42970c652fc33ead5ada6ba24acc66bb9d2116.zip
Add missing "die" calls as reported by Nikoli.
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/git-r3.eclass14
2 files changed, 11 insertions, 8 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 38acc2f23d83..a0fe127e65da 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1021 2013/10/13 07:14:58 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1022 2013/10/14 13:32:33 mgorny Exp $
+
+ 14 Oct 2013; Michał Górny <mgorny@gentoo.org> git-r3.eclass:
+ Add missing "die" calls as reported by Nikoli.
13 Oct 2013; Michał Górny <mgorny@gentoo.org> git-r3.eclass:
Respect EVCS_OFFLINE in git-r3_fetch.
diff --git a/eclass/git-r3.eclass b/eclass/git-r3.eclass
index 09c239dbdcda..32300387493d 100644
--- a/eclass/git-r3.eclass
+++ b/eclass/git-r3.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/git-r3.eclass,v 1.16 2013/10/13 07:14:58 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/git-r3.eclass,v 1.17 2013/10/14 13:32:33 mgorny Exp $
# @ECLASS: git-r3.eclass
# @MAINTAINER:
@@ -212,7 +212,7 @@ _git-r3_set_gitdir() {
if [[ ! -d ${EGIT3_STORE_DIR} ]]; then
(
addwrite /
- mkdir -m0755 -p "${EGIT3_STORE_DIR}"
+ mkdir -m0755 -p "${EGIT3_STORE_DIR}" || die
) || die "Unable to create ${EGIT3_STORE_DIR}"
fi
@@ -254,17 +254,17 @@ _git-r3_set_submodules() {
# skip modules that have 'update = none', bug #487262.
local upd=$(echo "${data}" | git config -f /dev/fd/0 \
- submodule."${subname}".update)
+ submodule."${subname}".update || die)
[[ ${upd} == none ]] && continue
submodules+=(
"${subname}"
"$(echo "${data}" | git config -f /dev/fd/0 \
- submodule."${subname}".url)"
+ submodule."${subname}".url || die)"
"$(echo "${data}" | git config -f /dev/fd/0 \
- submodule."${subname}".path)"
+ submodule."${subname}".path || die)"
)
- done < <(echo "${data}" | git config -f /dev/fd/0 -l)
+ done < <(echo "${data}" | git config -f /dev/fd/0 -l || die)
}
# @FUNCTION: _git-r3_smart_fetch
@@ -561,7 +561,7 @@ git-r3_checkout() {
local -x GIT_DIR GIT_WORK_TREE
_git-r3_set_gitdir "${repos[0]}"
GIT_WORK_TREE=${out_dir}
- mkdir -p "${GIT_WORK_TREE}"
+ mkdir -p "${GIT_WORK_TREE}" || die
einfo "Checking out ${repos[0]} to ${out_dir} ..."